require "thor"
require_relative "./web_client"

module MoneseCsvDownloader
  class CLI < Thor
    def self.exit_on_failure?
      true
    end

    desc "download FILE", "Downloads an account statement to FILE"
    method_option :phone_number, desc: "Phone number for Monese account", required: true
    method_option :password, desc: "Password for Monese account", required: true
    method_option :account_type, desc: "Account type: joint/personal", default: "personal"
    def download(file)
      puts "downloading to #{file}"
      contents = MoneseCsvDownloader::WebClient.new(options[:phone_number], options[:password]).download(options[:account_type].to_sym)
      File.write(file, contents)
    end
  end
end
